# Created by pyp2rpm-3.3.2
%global pypi_name wurlitzer

Name:           python-%{pypi_name}
Version:        3.1.1
Release:        %mkrel 2
Summary:        Capture C-level output in context managers
Group:          Development/Python
License:        MIT
URL:            https://github.com/minrk/wurlitzer
Source0:        https://files.pythonhosted.org/packages/source/w/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-devel

%description
Context managers for capturing C-level output:: from wurlitzer import pipes
with pipes() as (stdout, stderr): call_c_function() out stdout.read() err
stderr.read()

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Context managers for capturing C-level output:: from wurlitzer import pipes
with pipes() as (stdout, stderr): call_c_function() out stdout.read() err
stderr.read()

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files wurlitzer

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Sun Mar 02 2025 wally <wally> 3.1.1-2.mga10
+ Revision: 2156323
- rebuild for python3.13

* Tue Jul 02 2024 papoteur <papoteur> 3.1.1-1.mga10
+ Revision: 2079006
- new version 3.1.1

* Sun Dec 17 2023 papoteur <papoteur> 3.0.3-2.mga10
+ Revision: 2018649
- rebuild for python 3.12
- new {paquet[1]}

* Wed Mar 23 2022 umeabot <umeabot> 3.0.2-2.mga9
+ Revision: 1823093
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 mrambo3501 <mrambo3501> 3.0.2-1.mga9
+ Revision: 1779558
- version 3.0.2
- rebuild for python-3.10

* Sun Apr 18 2021 daviddavid <daviddavid> 1.0.3-4.mga9
+ Revision: 1716653
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.0.3-3.mga8
+ Revision: 1533978
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 daviddavid <daviddavid> 1.0.3-2.mga8
+ Revision: 1446285
- rebuild for python3.8

* Thu Sep 19 2019 wally <wally> 1.0.3-1.mga8
+ Revision: 1443868
- new version 1.0.3

* Tue Feb 19 2019 wally <wally> 1.0.2-1.mga7
+ Revision: 1368405
- imported package python-wurlitzer

